package com.bonus.canteen.core.order.deprecated.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

public class OrdInfoMachineDto {
   private Integer type;
   @ApiModelProperty("设备sn码")
   private String machineSn;
   @ApiModelProperty("设备编号")
   private String mchNum;
   private Long custId;
   @ApiModelProperty("卡序列号")
   private String serialNum;
   @ApiModelProperty("是否核销 1-已核销 2-未核销")
   private Integer ifWriteOff;
   @JSONField(
      format = "yyyy-MM-dd"
   )
   @ApiModelProperty("查询日期 yyyy-MM-dd")
   private LocalDate searchDate;

   public Integer getType() {
      return this.type;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getIfWriteOff() {
      return this.ifWriteOff;
   }

   public LocalDate getSearchDate() {
      return this.searchDate;
   }

   public void setType(final Integer type) {
      this.type = type;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setIfWriteOff(final Integer ifWriteOff) {
      this.ifWriteOff = ifWriteOff;
   }

   public void setSearchDate(final LocalDate searchDate) {
      this.searchDate = searchDate;
   }

}
